<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: autoloader.php
| Author: Core Development Team
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
spl_autoload_register( function ( $className ) {
    $autoload_register_paths = [
        'PHPFusion\\Team\\Teamsql'       => TEAM_PATH . 'classes/sqlteam.php',
        'PHPFusion\\Team\\TeamServer'    => TEAM_PATH . 'classes/server.php',
        'PHPFusion\\Team\\AdminUser'     => TEAM_PATH . 'classes/admin_user.php',
        'PHPFusion\\Team\\AdminSettings' => TEAM_PATH . 'classes/admin_settings.php',
        'PHPFusion\\Team\\Teams'         => TEAM_PATH . 'classes/team.php'
    ];

    if ( isset( $autoload_register_paths[$className] ) ) {
        $fullPath = $autoload_register_paths[$className];
        if ( is_file( $fullPath ) ) {
            require $fullPath;
        }
    }
});
