<?php
namespace PHPFusion\Team;

class Teamsql {
    public function getTeamUserQuery(array $filters = []) {
        return "SELECT *
            FROM " . DB_TEAM . "
            ".(!empty($filters['condition']) ? 'WHERE '.$filters['condition'] : '')."
            ".(!empty($filters['order']) ? 'ORDER BY '.$filters['order'] : '')."
            ".(!empty($filters['limit']) ? 'LIMIT '.$filters['limit'] : '')."
        ";
    }
    public function getUsersQuery(array $filters = []) {
        return "SELECT *
            FROM " . DB_USERS . "
            ".(!empty($filters['condition']) ? 'WHERE '.$filters['condition'] : '')."
            ".(!empty($filters['order']) ? 'ORDER BY '.$filters['order'] : '')."
            ".(!empty($filters['limit']) ? 'LIMIT '.$filters['limit'] : '')."
        ";
    }
    public function getTeamQuery(array $filters = []) {
        return "SELECT t.*, tu.user_id, tu.user_name, tu.user_status
            FROM ".DB_TEAM." AS t
            LEFT JOIN " . DB_USERS . " AS tu ON tu.user_id = t.team_user_id
            ".(!empty($filters['condition']) ? 'WHERE '.$filters['condition'] : '')."
            ".(!empty($filters['order']) ? 'ORDER BY '.$filters['order'] : '')."
            ".(!empty($filters['limit']) ? 'LIMIT '.$filters['limit'] : '')."
        ";
    }
}
