<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: suggestion_rewrite_include.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

$regex = [
    "%team_id%"        => "([0-9]+)",
    "%rowstart%"       => "([0-9]+)",
    "%team_real_name%" => "([0-9a-zA-Z._\W]+)",
    "%action%"         => "(viewuser|edituser|deleteuser|publishuser|unpublishuser)"
];

$pattern = [
    "team/%action%/%team_id%/%team_real_name%" => "infusions/my_team/team.php?action=%action%&amp;team_id=%team_id%",
    "team/rowstart/%rowstart%"                 => "infusions/my_team/team.php?rows=%rowstart%",
    "team"                                     => "infusions/my_team/team.php"
];

$pattern_tables["%team_id%"] = [
    "table"       => DB_TEAM,
    "primary_key" => "team_id",
    "id"          => ["%team_id%" => "team_id"],
    "columns"     => [
        "%team_real_name%" => "team_real_name"
    ]
];
